Pull Request or Patch supplied:No Resolution: fixed/implemented
Description

If one filters a vector layer in the general tab --> Query Builder one can test the where clause.

However, the result of the number of resulting features is incorrect and always shows the total numbers of features per layer and not the

counts of the filtered results.

Related issues:

Duplicated by QGIS Application - Bug report # 16915: estimatedmetadata=true p... Closed 2017-07-22

History

#1 - 2012-06-08 05:31 AM - Andreas Neumann

- Priority changed from High to Severe/Regression

#2 - 2012-06-08 09:34 AM - Jürgen Fischer

Are you querying a postgis layer with "use estimated meta data" checked?  Then the feature count is inaccurate, but fast.   See also ![Qgis-developer]

Reverse Changeset 13499 and commit:a5796853

#3 - 2012-06-09 05:57 PM - Nathan Woodrow

Confirmed with PostGIS using "use estimated meta data" checked.  Not really a blocker IMO.

#4 - 2012-06-10 03:33 AM - Andreas Neumann

Hi,

Yes - the problem only arises when using "estimated meta data". I don't understand how the "estimated metadata" setting is related to the test filter. Why

can't the test filter use a more accurate method?

Shouldn't the estimated meta data setting only speed up the initial table listing of the PostgreSQL provider?

If the issue can't be solved - can't we at least issue a warning that with the setting "use estimated metadata" the test filter returns wrong results?

Thanks,

Andreas

#5 - 2012-06-10 03:52 AM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal
http://lists.osgeo.org/pipermail/qgis-developer/2010-May/009925.html
http://lists.osgeo.org/pipermail/qgis-developer/2010-May/009925.html


Andreas Neumann wrote:

Yes - the problem only arises when using "estimated meta data". I don't understand how the "estimated metadata" setting is related to the test filter.

Why can't the test filter use a more accurate method?

Because the query builder is provider independant.  it just set a subset string and retrieves the feature count.

Shouldn't the estimated meta data setting only speed up the initial table listing of the PostgreSQL provider?

No, it speeds up querying large layers in general.

If the issue can't be solved - can't we at least issue a warning that with the setting "use estimated metadata" the test filter returns wrong results?

The impact of "use estimated table metadata" is documented in the help of the dialog where you enable it - and it's not default.

We could introduce an accurate feature count option - but that would change the provider interface.

#6 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#7 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2017-03-29 02:37 AM - Andreas Neumann

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Apparently this works find now, at least for PostgreSQL layers.

#9 - 2017-09-08 01:56 PM - Jürgen Fischer

- Duplicated by Bug report #16915: estimatedmetadata=true parameter on postgres datasource reports wrong number of features when filtering layer 

added
